﻿//open up the property files and compile entries into a single report
#include "BC_Classes/PropertyFile.jsxinc"

var sPath = new Folder().selectDlg ("Folder containing property files");

if (sPath != undefined)
    {
        //  get all the property files in the folder
        var asFiles = new Folder(sPath).getFiles("*_props.csv");
        var countPropertyFiles = asFiles.length;
        var fileNameOriginalImage = new Array(countPropertyFiles);
        var resolution = new Array(countPropertyFiles);
        var intensityBlackMax = new Array(countPropertyFiles);
        var intensityWhiteMax = new Array(countPropertyFiles);
        var traverses = new Array(countPropertyFiles);
        var pasteToAgg = new Array(countPropertyFiles);
        var pasteVolume = new Array(countPropertyFiles);
        var aggVolume = new Array(countPropertyFiles);
        var analysisMethod = new Array(countPropertyFiles);
        var thresholdAirContent = new Array(countPropertyFiles);  
        var thresholdVoidFreq = new Array(countPropertyFiles); 
        var airCorrectionFactor = new Array(countPropertyFiles);
        var stepHorizontal = new Array(countPropertyFiles);
        var manualVoidFreq = new Array(countPropertyFiles);
        var manualAirContent = new Array(countPropertyFiles);
        var pf;
        for (var i = 0; i < countPropertyFiles; i++)
            {
                pf = new PropertyFile(asFiles[i].path, asFiles[i].name);
                pf.read();
                fileNameOriginalImage[i] = pf.fileNameOriginalImage;
                resolution[i] = pf.resolution;
                intensityBlackMax[i] = pf.intensityBlackMax.join("/");
                intensityWhiteMax[i] = pf.intensityWhiteMax.join("/");
                traverses[i] = pf.traverses;
                pasteToAgg[i] = pf.pasteToAgg;
                pasteVolume[i] = pf.pasteVolume;
                aggVolume[i] = pf.aggVolume;
                analysisMethod[i] = pf.analysisMethod;
                thresholdAirContent[i] = pf.thresholdAirContent;
                thresholdVoidFreq[i] = pf.thresholdVoidFreq;
                airCorrectionFactor[i] = pf.airCorrectionFactor;
                stepHorizontal[i] = pf.stepHorizontal;
                manualVoidFreq[i] = pf.manualVoidFreq;
                manualAirContent[i] = pf.manualAirContent;
            }
        
            var fResults = new File(sPath + "/" + "propssummary.csv");
            with (fResults)
                {
                    open("w");
                    writeln("fileNameOriginalImage," + fileNameOriginalImage.join(","));
                    writeln("resolution," + resolution.join(","));
                    writeln("intensityBlackMax," + intensityBlackMax.join(","));
                    writeln("intensityWhiteMax," + intensityWhiteMax.join(","));
                    writeln("traverses," + traverses.join(","));
                    writeln("pasteToAgg," + pasteToAgg.join(","));
                    writeln("pasteVolume," + pasteVolume.join(","));
                    writeln("aggVolume," + aggVolume.join(","));
                    writeln("analysisMethod," + analysisMethod.join(","));
                    writeln("thresholdAirContent," + thresholdAirContent.join(","));
                    writeln("thresholdVoidFreq," + thresholdVoidFreq.join(","));
                    writeln("airCorrectionFactor," + airCorrectionFactor.join(","));
                    writeln("stepHorizontal," + stepHorizontal.join(","));
                    writeln("manualVoidFreq," + manualVoidFreq.join(","));
                    writeln("manualAirContent," + manualAirContent.join(","));
                    close();
                }
    }
