﻿//  set the target application to photoshop
#target photoshop

//  include the BubbleCounter script or none of this beautiful work will
#include "BC_Classes/BubbleCounter.jsxinc"
//#include "PropertyFile.jsxinc"

//  turn off dialogs, seems to speed processing?
app.displayDialogs = DialogModes.NO;
//  get the present ruler units so that the app can be set back to its original state
var uStrtRulerUnits = app.preferences.rulerUnits;
//  set the ruler units to pixels
app.preferences.rulerUnits = Units.PIXELS;

// make sure a document is open
if (app.documents.length > 0)
    {
        //  instantiate a BubbleCounter class
        var bc = new BubbleCounter();
        //  set the documentOriginal property to the currently active document
        bc.documentOriginal = app.activeDocument;
         // make sure that something has been selected
        if (bc.isSelectionMade())
            {
                bc.path = app.activeDocument.path;
                bc.fileNameOriginalImage = app.activeDocument.name;
                bc.fileNameProperties = bc.fileNameOriginalImage.replace(".tif", "_props.csv");
//                bc.fileNameCompositeImage = bc.fileNameOriginalImage.replace(".tif", "_comp.tif");
//                bc.fileNameTabDelimited = bc.fileNameOriginalImage.replace(".tif", "_comp.txt");
                bc.fileProperties = new PropertyFile(bc.path, bc.fileNameProperties);
//                bc.boundsAnalysis = this.documentOriginal.selection.bounds;
//                bc.areaToAnalyze = (this.boundsAnalysis[2] - this.boundsAnalysis[0]) * (this.boundsAnalysis[3] - this.boundsAnalysis[1]) * this.micronsPerPixel * this.micronsPerPixel / 10000 / 10000;
                bc.readPropertyFile();                
                bc.setDocumentLevels(bc.documentOriginal);
            }
        else
            {
                alert("Please select an area of the slab to analyze and rerun this script.");
            }
    }
 else
    {
        alert("Please open an image of a scanned, prepared slab, run the stretch script, select an area to analyze and rerun this script.")
    }

app.preferences.rulerUnits = uStrtRulerUnits;